/// <reference types="webpack" />
import { Compiler, Plugin } from 'webpack';
import { BabelTarget } from './babel.target';
/**
 * @internal
 */
export declare class TargetingPlugin implements Plugin {
    private targets;
    private babelLoaderPath;
    private multiTargetLoaderPath;
    private babelLoaders;
    constructor(targets: BabelTarget[]);
    apply(compiler: Compiler): void;
    targetLazyModules(resolveContext: any): Promise<any>;
    targetNormalRequest(requestContext: any): Promise<void>;
    targetDependencies(babelTarget: BabelTarget, context: any): void;
    addBabelLoaders(resolveContext: any): Promise<void>;
    isTargetedRequest(request: string): boolean;
    isTargetedRequestContext(requestContext: any): boolean;
    isTranspiledRequest(resolveContext: any): boolean;
    getTargetFromContext(context: any): BabelTarget;
    private getTargetedBabelLoader(loader, babelTarget);
    private replaceLoader(resolveContext, babelTarget?);
    static readonly loader: string;
}
